package io.swagger.api;

import groovyx.net.http.*
import static groovyx.net.http.ContentType.*
import static groovyx.net.http.Method.*
import io.swagger.api.ApiUtils


import java.util.*;

@Mixin(ApiUtils)
class AuthAPIApi {
    String basePath = "https://www.1gb.ru/api"
    String versionPath = "/api/v1"

    def authLoginPost ( String login, String salt, String response, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/auth/login"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (login == null) {
            throw new RuntimeException("missing required params login")
        }
        // verify required params are set
        if (salt == null) {
            throw new RuntimeException("missing required params salt")
        }
        // verify required params are set
        if (response == null) {
            throw new RuntimeException("missing required params response")
        }

        if (!"null".equals(String.valueOf(login)))
            queryParams.put("login", String.valueOf(login))
if (!"null".equals(String.valueOf(salt)))
            queryParams.put("salt", String.valueOf(salt))
if (!"null".equals(String.valueOf(response)))
            queryParams.put("response", String.valueOf(response))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "POST", "",
                    String.class )
                    
    }
    def authStartGet ( String login, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/auth/start"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (login == null) {
            throw new RuntimeException("missing required params login")
        }

        if (!"null".equals(String.valueOf(login)))
            queryParams.put("login", String.valueOf(login))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
}
