package io.swagger.api;

import groovyx.net.http.*
import static groovyx.net.http.ContentType.*
import static groovyx.net.http.Method.*
import io.swagger.api.ApiUtils

import io.swagger.model.InlineResponse2003
import io.swagger.model.InlineResponse2004

import java.util.*;

@Mixin(ApiUtils)
class DNSApi {
    String basePath = "https://www.1gb.ru/api"
    String versionPath = "/api/v1"

    def dnsAddGet ( String token_, String addDnsZone, String addDnsRecord, String iisSiteForDns, Boolean bindOnly, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/dns/add"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (addDnsZone == null) {
            throw new RuntimeException("missing required params addDnsZone")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(addDnsZone)))
            queryParams.put("addDnsZone", String.valueOf(addDnsZone))
if (!"null".equals(String.valueOf(addDnsRecord)))
            queryParams.put("addDnsRecord", String.valueOf(addDnsRecord))
if (!"null".equals(String.valueOf(iisSiteForDns)))
            queryParams.put("iisSiteForDns", String.valueOf(iisSiteForDns))
if (!"null".equals(String.valueOf(bindOnly)))
            queryParams.put("bindOnly", String.valueOf(bindOnly))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def dnsBindGet ( String token_, Integer key_, String bindTo, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/dns/bind"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))
if (!"null".equals(String.valueOf(bindTo)))
            queryParams.put("bindTo", String.valueOf(bindTo))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def dnsListGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/dns/list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse2003.class )
                    
    }
    def dnsProlongListGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/dns/prolong/list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse2004.class )
                    
    }
    def dnsRawGet ( String token_, Integer key_, Integer sDel, Integer sAdd, String dnsType, String dnsName, String dnsValue, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/dns/raw"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }
        // verify required params are set
        if (sDel == null) {
            throw new RuntimeException("missing required params sDel")
        }
        // verify required params are set
        if (sAdd == null) {
            throw new RuntimeException("missing required params sAdd")
        }
        // verify required params are set
        if (dnsType == null) {
            throw new RuntimeException("missing required params dnsType")
        }
        // verify required params are set
        if (dnsName == null) {
            throw new RuntimeException("missing required params dnsName")
        }
        // verify required params are set
        if (dnsValue == null) {
            throw new RuntimeException("missing required params dnsValue")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))
if (!"null".equals(String.valueOf(sDel)))
            queryParams.put("sDel", String.valueOf(sDel))
if (!"null".equals(String.valueOf(sAdd)))
            queryParams.put("sAdd", String.valueOf(sAdd))
if (!"null".equals(String.valueOf(dnsType)))
            queryParams.put("dnsType", String.valueOf(dnsType))
if (!"null".equals(String.valueOf(dnsName)))
            queryParams.put("dnsName", String.valueOf(dnsName))
if (!"null".equals(String.valueOf(dnsValue)))
            queryParams.put("dnsValue", String.valueOf(dnsValue))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def dnsRawManagedmxGet ( String token_, Integer key_, Integer managedMx, Integer updManagedMx, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/dns/raw/managedmx"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }
        // verify required params are set
        if (managedMx == null) {
            throw new RuntimeException("missing required params managedMx")
        }
        // verify required params are set
        if (updManagedMx == null) {
            throw new RuntimeException("missing required params updManagedMx")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))
if (!"null".equals(String.valueOf(managedMx)))
            queryParams.put("managedMx", String.valueOf(managedMx))
if (!"null".equals(String.valueOf(updManagedMx)))
            queryParams.put("updManagedMx", String.valueOf(updManagedMx))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
}
