package io.swagger.api;

import groovyx.net.http.*
import static groovyx.net.http.ContentType.*
import static groovyx.net.http.Method.*
import io.swagger.api.ApiUtils

import java.math.BigDecimal
import io.swagger.model.InlineResponse200
import io.swagger.model.InlineResponse2001
import io.swagger.model._
import io.swagger.model.InlineResponse2004
import io.swagger.model.InlineResponse2005
import io.swagger.model.InlineResponse2006
import io.swagger.model.InlineResponse20010
import io.swagger.model.InlineResponse20014

import java.util.*;

@Mixin(ApiUtils)
class DefaultApi {
    String basePath = "https://www.1gb.ru/api"
    String versionPath = "/api/v1"

    def balanceGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/balance"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    BigDecimal.class )
                    
    }
    def balanceLicGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/balance.lic"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    BigDecimal.class )
                    
    }
    def billingDebtGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/billing/debt"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse200.class )
                    
    }
    def billingInfoGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/billing/info"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse2001.class )
                    
    }
    def billingLimitsGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/billing/limits"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    _.class )
                    
    }
    def dnsProlongListGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/dns/prolong/list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse2004.class )
                    
    }
    def emailAddGet ( String token_, String addEmail, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/email/add"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (addEmail == null) {
            throw new RuntimeException("missing required params addEmail")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(addEmail)))
            queryParams.put("addEmail", String.valueOf(addEmail))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def emailAliasDeleteGet ( String token_, String key_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/email/alias/delete"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def emailAliasListGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/email/alias/list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse2005.class )
                    
    }
    def emailDeleteGet ( String token_, String key_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/email/delete"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def emailListGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/email/list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse2006.class )
                    
    }
    def updatesLastGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/updates/last"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    Integer.class )
                    
    }
    def updatesListGet ( String token_, Integer key_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/updates/list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse20010.class )
                    
    }
    def websiteDeleteGet ( String token_, String key_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/website/delete"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def websiteListGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/website/list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse20014.class )
                    
    }
}
