package io.swagger.api;

import groovyx.net.http.*
import static groovyx.net.http.ContentType.*
import static groovyx.net.http.Method.*
import io.swagger.api.ApiUtils

import io.swagger.model.InlineResponse20011
import io.swagger.model.InlineResponse20012
import io.swagger.model.InlineResponse20013

import java.util.*;

@Mixin(ApiUtils)
class VDSHyperVOpenVZApi {
    String basePath = "https://www.1gb.ru/api"
    String versionPath = "/api/v1"

    def vdsCreateGet ( String token_, String type, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, String template, String forceMemo, String hv1gbPanelVersion, Boolean panelInstall, Boolean crSsd1, Boolean crHvAllSystem, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/vds/create"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(type)))
            queryParams.put("type", String.valueOf(type))
if (!"null".equals(String.valueOf(crHvmem)))
            queryParams.put("crHvmem", String.valueOf(crHvmem))
if (!"null".equals(String.valueOf(crHvdsk)))
            queryParams.put("crHvdsk", String.valueOf(crHvdsk))
if (!"null".equals(String.valueOf(crHvcpu)))
            queryParams.put("crHvcpu", String.valueOf(crHvcpu))
if (!"null".equals(String.valueOf(template)))
            queryParams.put("template", String.valueOf(template))
if (!"null".equals(String.valueOf(forceMemo)))
            queryParams.put("forceMemo", String.valueOf(forceMemo))
if (!"null".equals(String.valueOf(hv1gbPanelVersion)))
            queryParams.put("hv1gbPanelVersion", String.valueOf(hv1gbPanelVersion))
if (!"null".equals(String.valueOf(panelInstall)))
            queryParams.put("panelInstall", String.valueOf(panelInstall))
if (!"null".equals(String.valueOf(crSsd1)))
            queryParams.put("crSsd1", String.valueOf(crSsd1))
if (!"null".equals(String.valueOf(crHvAllSystem)))
            queryParams.put("crHvAllSystem", String.valueOf(crHvAllSystem))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def vdsDeleteGet ( String token_, Integer key_, Boolean forceCritical, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/vds/delete"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))
if (!"null".equals(String.valueOf(forceCritical)))
            queryParams.put("forceCritical", String.valueOf(forceCritical))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def vdsIpAddGet ( String token_, Integer key_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/vds/ip/add"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def vdsIpDeleteGet ( String token_, Integer key_, String delIp, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/vds/ip/delete"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }
        // verify required params are set
        if (delIp == null) {
            throw new RuntimeException("missing required params delIp")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))
if (!"null".equals(String.valueOf(delIp)))
            queryParams.put("delIp", String.valueOf(delIp))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def vdsIpListGet ( String token_, Integer key_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/vds/ip/list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse20011.class )
                    
    }
    def vdsListGet ( String token_, Integer key_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/vds/list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse20012.class )
                    
    }
    def vdsRebootGet ( String token_, Integer key_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/vds/reboot"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
    def vdsTemplatesListGet ( String token_, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/vds/templates-list"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    InlineResponse20013.class )
                    
    }
    def vdsUpdateGet ( String token_, Integer key_, Integer crHvmem, Integer crHvdsk, Integer crHvcpu, Closure onSuccess, Closure onFailure)  {
        // create path and map variables
        String resourcePath = "/vds/update"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (token_ == null) {
            throw new RuntimeException("missing required params token_")
        }
        // verify required params are set
        if (key_ == null) {
            throw new RuntimeException("missing required params key_")
        }

        if (!"null".equals(String.valueOf(token_)))
            queryParams.put("token_", String.valueOf(token_))
if (!"null".equals(String.valueOf(key_)))
            queryParams.put("key_", String.valueOf(key_))
if (!"null".equals(String.valueOf(crHvmem)))
            queryParams.put("crHvmem", String.valueOf(crHvmem))
if (!"null".equals(String.valueOf(crHvdsk)))
            queryParams.put("crHvdsk", String.valueOf(crHvdsk))
if (!"null".equals(String.valueOf(crHvcpu)))
            queryParams.put("crHvcpu", String.valueOf(crHvcpu))


        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "",
                    String.class )
                    
    }
}
